AddSecret
Adds a new secret.
Example request: Add a new secret to application 1
Authentication
AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value:
```
Authorization: Bearer $VOXIMPLANT_TOKEN
```
See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.
Query parameters
application_id
Application ID to add the secret to. Required unless application_name is provided.
application_name
Application name. Required unless application_id is provided.
secret_name
Secret name. The name must start with a Latin letter and can contain up to 64 characters, including Latin letters, digits and underscores
secret_value
Secret value. Maximum length is 8192 characters
description
Optional. Secret description. When processing, the length is truncated to the first 200 characters
Response
Successful response
result
Result with the added secret ID